# Understanding API Terminology (LIMS v5 and later)

The following table shows how API terminology maps to terminology used in the Clarity LIMS v5.x interface.

<table><thead><tr><th width="180">API Terminology</th><th>Clarity LIMS Terminology</th><th>Notes</th></tr></thead><tbody><tr><td>Analyte</td><td>Derived sample</td><td>Not applicable</td></tr><tr><td>Artifact</td><td>An item that is input to or generated by a step. Derived samples and measurements are both artifacts.</td><td>Not applicable</td></tr><tr><td>Lab</td><td>Account</td><td>Accounts are not fully supported in the Clarity LIMS v5.x web interface. However, lab is supported in the API.</td></tr><tr><td>Process</td><td>Step</td><td>step and process both exist in the API. While related, they are not synonyms and have different uses.</td></tr><tr><td>Process type</td><td>Master step</td><td>Not applicable</td></tr><tr><td>Researcher</td><td>Client or user</td><td>Not applicable</td></tr><tr><td>Resultfile</td><td>Measurement or file / file placeholder</td><td>A file could be a log file that is shared across all samples in the step or a file that belongs to a single sample, such as an Electropherogram.</td></tr><tr><td>Sample</td><td>Submitted sample</td><td>The original sample submitted to the system.</td></tr><tr><td>UDF</td><td>Custom field</td><td>User-defined types (UDTs) are not supported in the Clarity LIMS v5.x web interface. However, udt is supported in the API.</td></tr></tbody></table>

See also the *Terms and Definitions* section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.connected.illumina.com/clarity-lims/api-and-database/api-docs/getting-started-with-api/understanding-api-terminology-lims-v5-and-later.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
